<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
	<title>
		Bootstrap Grid System
	</title>
	
	</head>
	<body class="text-center">

			<h1>Bootstrap Grid System</h1>

			<!-- Two columns start -->
			<h2>Two Columns</h2>
			<div class="container-fluid">
				<h3 >1:1 Ratio</h3>
				<div class="text-light row">
					<div class="bg-primary pt-3 pb-3 border border-dark col-6">6 col</div>
					<div class="bg-secondary pt-3 pb-3 border border-dark col-6">col</div>
				</div>

				<!-- Row with 2 columns with 1:2 ration -->
				<h3>1:2 Ratio</h3>
				<div class="text-light row">
					<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
					<div class="bg-secondary pt-3 pb-3 border border-dark col-8">8 Col</div>


				</div>

				<h3>1:3 Ration</h3>

				<div class="text-light row">
					<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 col</div>
					<div class="bg-secondary pt-3 pb-3 border border-dark col-9">9 Col</div>
					
				</div>


				<!-- Three Columns Start -->
				<h2>Three Columns</h2>
				<div class="container-fluid">

					<h3>1:1:1 Ratio</h3>
					<div class="text-light row">
						<div class="bg-primary pt-3 pb-3 border border-dark col-4">4</div>
						<div class="bg-secondary pt-3 pb-3 border border-dark col-4">4</div>
						<div class="bg-danger pt-3 pb-3 border border-dark col-4">4</div>	

					</div>
					<h3>1:2:1 Ratio</h3>
					<div class="row text-light">
						<div class="text-white bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
						<div class="text-white bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
						<div class="text-white bg-danger pt-3 pb-3 border border-dark col-3">3 Col</div>
						

					</div>

					<h3>Uneven Ratio</h3>

					<div class="text-white row">
						<div class="bg-primary pt-3 pb-3 col-3 border border-dark">3 col</div>
						<div class="bg-secondary pt-3 pb-3 col-7 border border-dark">7 col</div>
						<div class="bg-danger pt-3 pb-3 col-2 border border-dark">2 col</div>
						

					</div>
					
				</div>

				<!-- Automatic sizing -->
				<h2>Automatic Sizing</h2>
				<div class="container-fluid ">
					<div class="row text-light">
						<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
						<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
						<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
						<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
						<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
					</div>

				</div>

				<!-- Mobile Responsive Columns Start-->
				<h2>Mobile Responsive Columns</h2>
				<div class="container-fluid">
					<div class="text-light row">
						<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">Responsive</div>
						<div class="bg-secondary pt-3 pb-3 border border-dark col-sm-6 col-md-8 col-lg-10">Responsive</div>
						
					</div>
					
				</div>


				<!-- Mobile Responsive Columns End-->

				<!-- Multi Column Start -->

				<div class="container-fluid">
					<div class="text-light row">
						<div class="col-4 bg-primary pt-3 pb-3 border border-dark">Catalog 1</div>
						<div class=" col-4 bg-secondary pt-3 pb-3 border border-dark">Catalog 2</div>
						<div class=" col-4 bg-primary pt-3 pb-3 border border-dark">Catalog 3</div>
						<div class=" col-4 bg-secondary pt-3 pb-3 border border-dark">Catalog 4</div>
						<div class=" col-4 bg-primary pt-3 pb-3 border border-dark">Catalog 5</div>
						<div class=" col-4 bg-secondary pt-3 pb-3 border border-dark">Catalog 6</div>

					</div>
					
				</div>



				<!-- Muti Column End -->


				<!-- Off Columns Start -->
				<h2>Offsetting Columns</h2>
				<div class="container-fluid">
					<div class="text-white row">
						<div class="bg-primary pb-3 pt-3 border border-dark col-6 offset-2">Offset Column</div>
						<div class="bg-primary pb-3 pt-3 border border-dark col-6 offset-md-3">Offset Column</div>
						<div class="bg-primary pb-3 pt-3 border border-dark col-6 offset-lg-4">Offset Column</div>
						
					</div>
					
				</div>
				<!-- Off Columns End -->

				<!-- Column Orders Start -->
				<h2>Column Order</h2>
				<div class="container-fluid">
					<div class="text-white row">
						<div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">Left</div>
						<div class="bg-primary pt-3 pb-3 border border-dark col order-1 order-md-2">Right</div>
					</div>
				</div>











				<!-- Column Orders End -->







				






			</div>

























	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
	</body>
</html>